summaryrefslogtreecommitdiffstats
path: root/src/cmd/installer-pc.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2016-01-17 10:38:16 (EST)
committer P. J. McDermott <pj@pehjota.net>2016-01-17 10:38:16 (EST)
commitd7436d9dfcd4007dad081124cde04ac8e1d30906 (patch)
tree052d4e9937b451ad76d9a8c5ae2de924a53b4104 /src/cmd/installer-pc.sh
parenta8e57bde8d2d9ba23a8c5fc7ddc6438c0142d33f (diff)
cmd/*: Check return value of profile_set()
Diffstat (limited to 'src/cmd/installer-pc.sh')
-rw-r--r--src/cmd/installer-pc.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/cmd/installer-pc.sh b/src/cmd/installer-pc.sh
index 0ecca4b..76112d2 100644
--- a/src/cmd/installer-pc.sh
+++ b/src/cmd/installer-pc.sh
@@ -60,7 +60,9 @@ cmd_installer_pc_main()
else
profile='proteanos'
fi
- profile_set "${profile}"
+ if ! profile_set "${profile}"; then
+ return 2
+ fi
suite="$(profile_normalize_suite "${suite}")"
cmd_installer_pc_make_partition_and_fs "${dev}"